Participated events
GET
/users/:id/eventsRetrieve events the user participated in (confirmed / checked in), ordered by start date descending. Private events are excluded.
| Auth | Not required |
|---|
Path parameters
idstringrequiredUser ID
Query parameters
statestringEntry state filter (default CONFIRMED / CHECKED_IN)
pagenumberPage number. Default 1
perPagenumberItems per page. Default 20 (max 50)
Response
| Field | Type | Description |
|---|---|---|
events | Event[] | Events (with entryState / entryCreatedAt / ticket) |
pageInfo | object | Pagination info (totalCount / totalPages / page / perPage) |
Request
curl https://api.4s.link/users/ID/events \-H "Authorization: Bearer 4s_at_..."
Example response
{"events": [{"id": "e1f2a3b4-...","title": "4S Tech Conference 2026","slug": "tech-conf-2026","schedules": [],"tags": ["tech"],"entryState": "CHECKED_IN","entryCreatedAt": "2026-05-01T00:00:00.000Z","ticket": null}],"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }}